package cn.yw.video.videotask.dao;

import java.sql.SQLException;
import java.util.List;
import java.util.Map;
import javax.annotation.PostConstruct;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.orm.ibatis.support.SqlMapClientDaoSupport;
import org.springframework.stereotype.Repository;
import com.ibatis.sqlmap.client.SqlMapClient;

import cn.base.dao.BaseSqlMapDAO;

@Repository("ywvideotaskDao")
public class YwvideotaskDao  extends BaseSqlMapDAO{


	/**
	 * 增加记录
	 */
	public void insert_Ywvideotask(Map map) throws SQLException{
		this.insert("insert_Ywvideotask",map);
	}
	
	/**
	 * 批处理增加记录
	 */
	public void batch_insert_Ywvideotask(List batch) throws SQLException{
		this.insert("batch_insert_Ywvideotask",batch);
	}
	 
	/**
	 * 修改记录
	 */
	public Integer update_Ywvideotask(Map map) throws SQLException{
		return this.update("update_Ywvideotask",map);
	}
	public Integer delete_channelset_Ywvideotask(Map map) throws SQLException{
		return this.update("delete_channelset_Ywvideotask",map);
	}
	
	/**
	 * 删除记录
	 */
	public Integer delete_Ywvideotask(Map map) throws SQLException{
		return this.delete("delete_Ywvideotask",map);
	}
	
	/**
	 * 批处理删除记录
	 */
	
	public Integer batch_delete_Ywvideotask(List l) throws SQLException{
		return this.delete("batch_delete_Ywvideotask",l);
	}
	public Integer batch_update_Ywvideotask(Map m) throws SQLException{
		return this.delete("batch_update_Ywvideotask",m);
	}
	
	/**
	 * 查询总数
	 */
	public Integer count_Ywvideotask(Map map) throws SQLException{
		return (Integer)this.queryForObject("count_Ywvideotask",map);
	}
	
	/**
	 * 查询列表记录
	 */
	
	public List<Map> query_Ywvideotask(Map map) throws SQLException{
		return this.queryForPage("query_Ywvideotask",map);
	}
	public List<Map> query_Ywvideotask_children(Map map) throws SQLException{
		return this.queryForList("query_Ywvideotask_children",map);
	}

	public List<Map> getApproveUser(Map map) throws SQLException{
		return this.queryForList("getApproveUser",map);
	}
	
	/**
	 * 查询列表记录
	 */
	public Map get_Ywvideotask(Map map) throws SQLException{
		return (Map) this.queryForObject("query_Ywvideotask",map);
	}
}
